Package org.jboss.resteasy.wadl.jaxb

## Class Application

- java.lang.Object
- - org.jboss.resteasy.wadl.jaxb.Application

-     public class Application
      extends Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://wadl.dev.java.net/2009/02}doc" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://wadl.dev.java.net/2009/02}grammars" minOccurs="0"/>
               <element ref="{http://wadl.dev.java.net/2009/02}resources" maxOccurs="unbounded" minOccurs="0"/>
               <choice maxOccurs="unbounded" minOccurs="0">
                 <element ref="{http://wadl.dev.java.net/2009/02}resource_type"/>
                 <element ref="{http://wadl.dev.java.net/2009/02}method"/>
                 <element ref="{http://wadl.dev.java.net/2009/02}representation"/>
                 <element ref="{http://wadl.dev.java.net/2009/02}param"/>
               </choice>
               <any processContents='lax' namespace='##other' maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<Object>` | `any` |
    `protected List<Doc>` | `doc` |
    `protected Grammars` | `grammars` |
    `protected List<Resources>` | `resources` |
    `protected List<Object>` | `resourceTypeOrMethodOrRepresentation` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Application()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<Object>` | `getAny()` | Gets the value of the any property.
    `List<Doc>` | `getDoc()` | Gets the value of the doc property.
    `Grammars` | `getGrammars()` | Gets the value of the grammars property.
    `List<Resources>` | `getResources()` | Gets the value of the resources property.
    `List<Object>` | `getResourceTypeOrMethodOrRepresentation()` | Gets the value of the resourceTypeOrMethodOrRepresentation property.
    `void` | `setGrammars​(Grammars value)` | Sets the value of the grammars property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### doc

          protected List<Doc> doc

    - #### grammars

          protected Grammars grammars

    - #### resources

          protected List<Resources> resources

    - #### resourceTypeOrMethodOrRepresentation

          protected List<Object> resourceTypeOrMethodOrRepresentation

    - #### any

          protected List<Object> any

  - ### Constructor Detail

    - #### Application

          public Application()

  - ### Method Detail

    - #### getDoc

          public List<Doc> getDoc()

      Gets the value of the doc property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the doc property.

      For example, to add a new item, do as follows:

              getDoc().add(newItem);

      Objects of the following type(s) are allowed in the list `Doc`

    - #### getGrammars

          public Grammars getGrammars()

      Gets the value of the grammars property.
      Returns:
        possible object is `Grammars`

    - #### setGrammars

          public void setGrammars​(Grammars value)

      Sets the value of the grammars property.
      Parameters:
        `value` - allowed object is `Grammars`

    - #### getResources

          public List<Resources> getResources()

      Gets the value of the resources property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the resources property.

      For example, to add a new item, do as follows:

              getResources().add(newItem);

      Objects of the following type(s) are allowed in the list `Resources`

    - #### getResourceTypeOrMethodOrRepresentation

          public List<Object> getResourceTypeOrMethodOrRepresentation()

      Gets the value of the resourceTypeOrMethodOrRepresentation property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the resourceTypeOrMethodOrRepresentation property.

      For example, to add a new item, do as follows:

              getResourceTypeOrMethodOrRepresentation().add(newItem);

      Objects of the following type(s) are allowed in the list `ResourceType` `Method` `Representation` `Param`

    - #### getAny

          public List<Object> getAny()

      Gets the value of the any property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

      For example, to add a new item, do as follows:

              getAny().add(newItem);

      Objects of the following type(s) are allowed in the list `Element` `Object`